// Code generated by go-swagger; DO NOT EDIT.

//
// Copyright 2021 The Sigstore Authors.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

package tlog

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the generate command

import (
	"net/http"

	"github.com/go-openapi/runtime/middleware"
)

// GetInactiveLogInfoHandlerFunc turns a function with the right signature into a get inactive log info handler
type GetInactiveLogInfoHandlerFunc func(GetInactiveLogInfoParams) middleware.Responder

// Handle executing the request and returning a response
func (fn GetInactiveLogInfoHandlerFunc) Handle(params GetInactiveLogInfoParams) middleware.Responder {
	return fn(params)
}

// GetInactiveLogInfoHandler interface for that can handle valid get inactive log info params
type GetInactiveLogInfoHandler interface {
	Handle(GetInactiveLogInfoParams) middleware.Responder
}

// NewGetInactiveLogInfo creates a new http.Handler for the get inactive log info operation
func NewGetInactiveLogInfo(ctx *middleware.Context, handler GetInactiveLogInfoHandler) *GetInactiveLogInfo {
	return &GetInactiveLogInfo{Context: ctx, Handler: handler}
}

/* GetInactiveLogInfo swagger:route GET /api/v1/log/inactive tlog getInactiveLogInfo

Get information about the inactive shards of the transparency log

Returns information about the merkle tree for inactive shards of the log

*/
type GetInactiveLogInfo struct {
	Context *middleware.Context
	Handler GetInactiveLogInfoHandler
}

func (o *GetInactiveLogInfo) ServeHTTP(rw http.ResponseWriter, r *http.Request) {
	route, rCtx, _ := o.Context.RouteInfo(r)
	if rCtx != nil {
		*r = *rCtx
	}
	var Params = NewGetInactiveLogInfoParams()
	if err := o.Context.BindValidRequest(r, route, &Params); err != nil { // bind params
		o.Context.Respond(rw, r, route.Produces, route, err)
		return
	}

	res := o.Handler.Handle(Params) // actually handle the request
	o.Context.Respond(rw, r, route.Produces, route, res)

}
